/***************************************************************************
 *   Copyright (C) 2007 by Helge Kortendieck                               *
 *   alan@kasmithee.de                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef _ABOUTHELP_H_
#define _ABOUTHELP_H_

#include <QDialog>
#include <QFont>
#include <QWidget>

#include "ui_help.h"


class aboutHelp : public QDialog
{
    Q_OBJECT

public:
  aboutHelp(QDialog* parent = 0, Qt::WindowFlags fl = 0 );
    ~aboutHelp();
    /*$PUBLIC_FUNCTIONS$*/
  QString sText;            // about/help/error text
  QString sTitle;           // dialog title

public slots:
    /*$PUBLIC_SLOTS$*/
  virtual void showAbout( int iD );           // show about dialog
  virtual void showHelp( int iD );            // show help dialog
  virtual void showErr( int iD );             // show error dialog, with long program feedback

  signals:

protected:
    /*$PROTECTED_FUNCTIONS$*/

protected slots:
    /*$PROTECTED_SLOTS$*/
  void closeDlg();                    // close dialog


private:
  int iTyp;                 // dialog type: 1=About (html), 2=Help (html), 3=Error (txt)
  int iFontSize;            // font size of dialog
  int iHeight;              // dialog height
  int iWidth;               // dialog width

  Ui::Help uih;             // help widget

  QDialog wHelp;            // help widget

private slots:
  void setText();   // set text to show: 1=About (html), 2=Help (html), 3=Error (txt)
  void showDlg();

};

#endif
