/***************************************************************************
 *   Copyright (C) 2007 by Helge Kortendieck                               *
 *   qvtwfc@kasmithee.de                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <iostream>
using namespace std;

#include <QApplication>
#include <QStringList>

#include "qvtwfc.h"
#include "qvtwfct.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
  QStringList slArgs = QApplication::arguments();  // get command line args
  int iArgs = slArgs.count();
  bool bT = false;
  bool bV = false;
  QString sD = "";

  if( iArgs > 1 ) {
    for( int i = 1; i < iArgs; ++i ) {
      sD = slArgs.at( i );
      if( sD == "-t"  ) {
        bT = true;
        break;
      } else if( sD == "-v" or sD == "--version" ) {
        bV = true;
      }
    }

    if( bV ) {
      cout << "\n###  qvtwfc - Qt4 vocabulary training with flash cards\n"
              "###  Version 0.9.23\n"
              "###  Copyright (C) 2007, 2008 by Helge Kortendieck, alan@kasmithee.de\n"
              "###  Released under GPL2 (or later) - enjoy" << endl;
    }

    if( !bT ) {
      cout << "\n###  qvtwfc help, valid command line arguments are:\n###\n"
              "###  -v/--version to show program version and exit\n###\n"
              "###  -t           to start in test mode\n###\n"
              "###               Optional with '-t':\n"
              "###  filename     the full path and name of the vocabulary file to use, and/or:\n"
              "###  -a number    to specify the number of words to ask before exiting.\n###\n"
              "###  Start the program without argument(s) and check the help file.\n" << endl;
      return 0;
    }
  }

  if( bT ) {
    Qvtwfct qvt;
    qvt.show();
    return app.exec();
  } else {
    Qvtwfc qvt;
    qvt.show();
    return app.exec();
  }
}

